org.python.core

## Class codecs.CodecState

- java.lang.Object
- - org.python.core.codecs.CodecState

Enclosing class:
  codecs

    public static class codecs.CodecState
    extends Object

### Field Summary

Fields
`static String[]` `BUILTIN_ERROR_HANDLERS`

### Constructor Summary

Constructors
Constructor and Description
`codecs.CodecState()`

### Method Summary

Methods
`String` `getDefaultEncoding()`
`PyObject` `lookup_error(String handlerName)`
`PyTuple` `lookup(String encoding)`
`void` `register_error(String name, PyObject error)`
`void` `register(PyObject search_function)`
`void` `setDefaultEncoding(String encoding)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BUILTIN_ERROR_HANDLERS

    public static final String[] BUILTIN_ERROR_HANDLERS

### Constructor Detail

#### codecs.CodecState

    public codecs.CodecState()

### Method Detail

#### getDefaultEncoding

    public String getDefaultEncoding()

#### setDefaultEncoding

    public void setDefaultEncoding(String encoding)

#### register_error

    public void register_error(String name,
                      PyObject error)

#### register

    public void register(PyObject search_function)

#### lookup

    public PyTuple lookup(String encoding)

#### lookup_error

    public PyObject lookup_error(String handlerName)